import { FormGroup, FormControl, Validators } from '@angular/forms';

export const locationForm = new FormGroup({
  zone: new FormControl(null, []),
  name: new FormControl(null, [Validators.required]),
  code: new FormControl(null, [Validators.required]),
  createdAt: new FormControl(null, [])
});

export const locationJsonldForm = new FormGroup({
  zone: new FormControl(null, []),
  name: new FormControl(null, [Validators.required]),
  code: new FormControl(null, [Validators.required]),
  createdAt: new FormControl(null, [])
});

export const mediaObjectJsonldMediaObjectReadForm = new FormGroup({
  contentUrl: new FormControl(null, [])
});

export const shippingCompanyForm = new FormGroup({
  name: new FormControl(null, [Validators.required]),
  code: new FormControl(null, [Validators.required]),
  createdAt: new FormControl(null, [])
});

export const shippingCompanyJsonldForm = new FormGroup({
  name: new FormControl(null, [Validators.required]),
  code: new FormControl(null, [Validators.required]),
  createdAt: new FormControl(null, [])
});

export const tripForm = new FormGroup({
  vessel: new FormControl(null, []),
  pilotReference: new FormControl(null, [Validators.required]),
  captainName: new FormControl(null, []),
  startLocation: new FormControl(null, []),
  endLocation: new FormControl(null, []),
  startDate: new FormControl(null, [Validators.required]),
  endDate: new FormControl(null, [Validators.required]),
  createdAt: new FormControl(null, [])
});

export const tripJsonldForm = new FormGroup({
  vessel: new FormControl(null, []),
  pilotReference: new FormControl(null, [Validators.required]),
  captainName: new FormControl(null, []),
  startLocation: new FormControl(null, []),
  endLocation: new FormControl(null, []),
  startDate: new FormControl(null, [Validators.required]),
  endDate: new FormControl(null, [Validators.required]),
  createdAt: new FormControl(null, [])
});

export const tripLocationForm = new FormGroup({
  trip: new FormControl(null, []),
  location: new FormControl(null, []),
  date: new FormControl(null, [Validators.required]),
  createdAt: new FormControl(null, [])
});

export const tripLocationJsonldForm = new FormGroup({
  trip: new FormControl(null, []),
  location: new FormControl(null, []),
  date: new FormControl(null, [Validators.required]),
  createdAt: new FormControl(null, [])
});

export const userForm = new FormGroup({
  email: new FormControl(null, [Validators.required, Validators.email]),
  firstName: new FormControl(null, [Validators.required]),
  lastName: new FormControl(null, [Validators.required]),
  image: new FormControl(null, []),
  imageUrl: new FormControl(null, []),
  fullName: new FormControl(null, []),
  password: new FormControl(null, []),
  active: new FormControl(null, []),
  createdAt: new FormControl(null, [])
});

export const userJsonldForm = new FormGroup({
  email: new FormControl(null, [Validators.required, Validators.email]),
  firstName: new FormControl(null, [Validators.required]),
  lastName: new FormControl(null, [Validators.required]),
  image: new FormControl(null, []),
  imageUrl: new FormControl(null, []),
  fullName: new FormControl(null, []),
  password: new FormControl(null, []),
  active: new FormControl(null, []),
  createdAt: new FormControl(null, [])
});

export const userTripForm = new FormGroup({
  trip: new FormControl(null, []),
  user: new FormControl(null, []),
  captainName: new FormControl(null, [Validators.required]),
  startDate: new FormControl(null, [Validators.required]),
  endDate: new FormControl(null, [Validators.required]),
  createdAt: new FormControl(null, [])
});

export const userTripJsonldForm = new FormGroup({
  trip: new FormControl(null, []),
  user: new FormControl(null, []),
  captainName: new FormControl(null, [Validators.required]),
  startDate: new FormControl(null, [Validators.required]),
  endDate: new FormControl(null, [Validators.required]),
  createdAt: new FormControl(null, [])
});

export const userTripLocationForm = new FormGroup({
  userTrip: new FormControl(null, []),
  location: new FormControl(null, []),
  plannedDate: new FormControl(null, [Validators.required]),
  createdAt: new FormControl(null, [])
});

export const userTripLocationJsonldForm = new FormGroup({
  userTrip: new FormControl(null, []),
  location: new FormControl(null, []),
  plannedDate: new FormControl(null, [Validators.required]),
  createdAt: new FormControl(null, [])
});

export const userTripWorkLogForm = new FormGroup({
  userTrip: new FormControl(null, []),
  startLocation: new FormControl(null, []),
  endLocation: new FormControl(null, []),
  startDate: new FormControl(null, [Validators.required]),
  endDate: new FormControl(null, [Validators.required]),
  createdAt: new FormControl(null, [])
});

export const userTripWorkLogJsonldForm = new FormGroup({
  userTrip: new FormControl(null, []),
  startLocation: new FormControl(null, []),
  endLocation: new FormControl(null, []),
  startDate: new FormControl(null, [Validators.required]),
  endDate: new FormControl(null, [Validators.required]),
  createdAt: new FormControl(null, [])
});

export const vesselForm = new FormGroup({
  name: new FormControl(null, [Validators.required]),
  code: new FormControl(null, [Validators.required]),
  company: new FormControl(null, []),
  createdAt: new FormControl(null, [])
});

export const vesselJsonldForm = new FormGroup({
  name: new FormControl(null, [Validators.required]),
  code: new FormControl(null, [Validators.required]),
  company: new FormControl(null, []),
  createdAt: new FormControl(null, [])
});

export const zoneForm = new FormGroup({
  name: new FormControl(null, [Validators.required]),
  createdAt: new FormControl(null, [])
});

export const zoneJsonldForm = new FormGroup({
  name: new FormControl(null, [Validators.required]),
  createdAt: new FormControl(null, [])
});
